#!/bin/sh

if [ $# -lt 1 ]; then
    echo $0 ordernum [num-cables] [otherinfo]
    exit 1
fi

ordernum=$1; shift

if [ $# -ge 1 ]; then
    numcables=$1; shift
else
    numcables=1
fi

other="$@"
date=$(date -R)


f=nico.schottelius
f2=ungleich.ch
fall=${f}@${f2}

cat <<EOF | /usr/sbin/sendmail ${fall}
From: Nico Schottelius <${fall}>
To: digitec <d2b@digitec.ch>
Subject: Falsches Stromkabel Bestellung ${ordernum}
Date: ${date}

Hallo Digitec,

die Bestellung ${ordernum} kam mit einem Schuko-Anschlusskabel anstatt
Schweizer Stecker. Bitte ${numcables} Adapter nachliefern.

Gruss,

Nico Schottelius

EOF
