#!/bin/sh


while read domain ; do
    fulldomain=$(echo $domain | rev).${domain}
    echo Checking ${fulldomain} ...
    has_ns=$(dig +short ${fulldomain} ns)

    # No NS server? potentially free
    if [ -z "$has_ns" ]; then
        echo "No ns for $fulldomain"
        echo $fulldomain >> tld_no_ns
    fi
done < ./tld
