#!/bin/sh

if [ $# -lt 1 ]; then
    echo $0 domain domain2 domain..
    echo "f.i. certbot-get-certs.sh {2..9}.nb3.hjk.li"
    exit 1
fi

mail1=sre
mail2=ungleich.ch

for domain in "$@"; do
    sudo certbot certonly --standalone --agree-tos -m $mail1@$mail2 -n -d $domain
done
